PDA

View Full Version : Is this true?



DJPlace
02-23-2009, 12:33 AM
that a cyclon ds evo won't work in a dsi?

PharaohsVizier
02-23-2009, 01:02 AM
Sadly it is true at the moment. Team Cyclops had a working demo though, which signals to us that they will probably release it once the US release hits.

dan92
02-24-2009, 09:09 PM
is it possible that a flashcard is made compatible with dsi by just changing the firmware or even the whole system? what i mean is? is it possible that they release something that i can download and put it on my normal cyclo ds and play on the dsi with it or i have to buy a new flashcard?

PharaohsVizier
02-25-2009, 12:28 AM
I think you'll most likely need to buy a new cart although there is no guarantee about that.

I remember the EZ Flash team trying to get DSi compatibility with an update but determined in the end that they couldn't do it. The EZ Flash Vi is almost the same cart as the EZ Flash V with the chip flashed slightly differently. If the CycloDS Evolution was able to change their underlying firmware then they would have a long time ago due to a few complaints.